- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_mlag_config – Manages MLAG configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages MLAG configuration on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dfs_group_id - | Default: "present" | ID of a DFS group. The value is 1.
eth_trunk_id - |  | Name of the peer-link interface. The value is in the range from 0 to 511.
ip_address - |  | IP address bound to the DFS group. The value is in dotted decimal notation.
nickname - |  | The nickname bound to a DFS group. The value is an integer that ranges from 1 to 65471.
peer_link_id - |  | Number of the peer-link interface. The value is 1.
priority_id - |  | Priority of a DFS group. The value is an integer that ranges from 1 to 254. The default value is 100.
pseudo_nickname - |  | A pseudo nickname of a DFS group. The value is an integer that ranges from 1 to 65471.
pseudo_priority - |  | The priority of a pseudo nickname. The value is an integer that ranges from 128 to 255. The default value is 192. A larger value indicates a higher priority.
state - | Choices: present ← absent | Specify desired state of the resource.
vpn_instance_name - |  | Name of the VPN instance bound to the DFS group. The value is a string of 1 to 31 case-sensitive characters without spaces. If the character string is quoted by double quotation marks, the character string can contain spaces. The value _public_ is reserved and cannot be used as the VPN instance name.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: mlag config module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Create DFS Group id
        ce_mlag_config:
          dfs_group_id: 1
          provider: "{{ cli }}"
      - name: Set dfs-group priority
        ce_mlag_config:
          dfs_group_id: 1
          priority_id: 3
          state: present
          provider: "{{ cli }}"
      - name: Set pseudo nickname
        ce_mlag_config:
          dfs_group_id: 1
          pseudo_nickname: 3
          pseudo_priority: 130
          state: present
          provider: "{{ cli }}"
      - name: Set ip
        ce_mlag_config:
          dfs_group_id: 1
          ip_address: 11.1.1.2
          vpn_instance_name: 6
          provider: "{{ cli }}"
      - name: Set peer link
        ce_mlag_config:
          eth_trunk_id: 3
          peer_link_id: 2
          state: present
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'eth_trunk_id': 'Eth-Trunk3', 'peer_link_id': '1'}
existing dictionary | always | k/v pairs of existing aaa server
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'eth_trunk_id': '3', 'peer_link_id': '1', 'state': 'present'}
updates list | always | command sent to the device Sample: {'peer-link 1': None}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Li Yanfeng (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.